SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-full.m4,v 1.1 2005/04/05 16:59:32 gd Exp $

JNTROSTUP(qmail,-full,dnl
,dnl
# jailup ${inclass} dir
#     where dir relative to ${JAILUPDIR} and ${JAILRODIR}
# installed ports/mail/qmail or ports/mail/qmail-tls
#                                                   useddnl
)

this="${UPLIBDIR}/${genclass}"
MTREE="${this}/mtree${suffix}"

jdir="${1}"
main_dir="${JAILUPDIR}/${jdir}"

${mkdir} "${main_dir}"
${up_mdir} "${main_dir}" ${MTREE}

${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c
EOF

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
EOF

${up_exec} "${main_dir}/bin" "/var/qmail/bin" << EOF
    bouncesaying
    condredirect
    except
    forward
    maildir2mbox
    maildirmake
    maildirwatch
    predate
    preline
    qbiff
    qmail-newmrh
    qmail-newu
    qmail-pw2u
    qmail-qmqpc
    qmail-qmqpd
    qmail-qmtpd
    qmail-qread
    qmail-showctl
    qmail-tcpok
    qmail-tcpto
    qreceipt
    qsmhook
    sendmail
EOF

${up_mtree} "${main_dir}" ${MTREE}
